'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _dxcFlex = require('dxc-flex');

var _dxcFlex2 = _interopRequireDefault(_dxcFlex);

require('../../assets/base.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Container = function (_Component) {
  _inherits(Container, _Component);

  function Container() {
    _classCallCheck(this, Container);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  Container.prototype.render = function render() {
    var _props = this.props,
        className = _props.className,
        label = _props.label,
        labelWidth = _props.labelWidth,
        width = _props.width,
        children = _props.children,
        _props$style = _props.style,
        style = _props$style === undefined ? {} : _props$style,
        other = _objectWithoutProperties(_props, ['className', 'label', 'labelWidth', 'width', 'children', 'style']);

    var newStyle = void 0;
    if (width) {
      newStyle = _extends({}, style, { width: width });
    } else {
      newStyle = style;
    }
    var newClassName = 'dxc-input-container';
    if (className) {
      newClassName += ' ' + className;
    }
    return _react2['default'].createElement(
      'div',
      { style: { overflow: 'hidden' } },
      _react2['default'].createElement(
        _dxcFlex2['default'],
        _extends({ style: newStyle }, other, { className: newClassName }),
        _react2['default'].createElement(
          _dxcFlex2['default'],
          { style: { width: labelWidth }, horizontal: 'center', vertical: 'center' },
          label
        ),
        _react2['default'].createElement(
          _dxcFlex2['default'],
          { horizontal: true, style: { flex: 1 }, className: 'dxc-input-box' },
          children
        )
      ),
      _react2['default'].createElement('div', { style: { height: 10 } })
    );
  };

  return Container;
}(_react.Component);

exports['default'] = Container;
module.exports = exports['default'];