'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Container = require('../Container/Container');

var _Container2 = _interopRequireDefault(_Container);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var isIOS = function isIOS() {
  return !!navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);
};

var Input = function (_Component) {
  _inherits(Input, _Component);

  function Input() {
    var _temp, _this, _ret;

    _classCallCheck(this, Input);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _Component.call.apply(_Component, [this].concat(args))), _this), _this.state = {
      value: ''
    }, _this.onChange = function (e) {
      var _this$props = _this.props,
          onChange = _this$props.onChange,
          normalize = _this$props.normalize;

      var newValue = e.target.value;
      var value = void 0;
      if (normalize) {
        var oldValue = _this.getValue();
        value = normalize(newValue, oldValue);
      } else {
        value = newValue;
      }
      if (onChange) {
        onChange(value);
      } else {
        _this.setState({ value: value });
      }
    }, _this.getValue = function () {
      return _this.props.value || _this.state.value;
    }, _this.onBlur = function () {
      if (isIOS()) {
        window.scrollTo(0, window.scrollY - 1);
      }
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  Input.prototype.render = function render() {
    var _props = this.props,
        normalize = _props.normalize,
        label = _props.label,
        labelWidth = _props.labelWidth,
        width = _props.width,
        maxLength = _props.maxLength,
        placeholder = _props.placeholder,
        onChange = _props.onChange,
        disabled = _props.disabled,
        other = _objectWithoutProperties(_props, ['normalize', 'label', 'labelWidth', 'width', 'maxLength', 'placeholder', 'onChange', 'disabled']);

    var containerProps = _extends({ label: label, labelWidth: labelWidth, width: width }, other);
    var value = this.getValue();
    return _react2['default'].createElement(
      _Container2['default'],
      containerProps,
      _react2['default'].createElement('input', { disabled: disabled, onBlur: this.onBlur, style: { flex: 1 }, maxLength: maxLength, value: value, onChange: this.onChange, placeholder: placeholder })
    );
  };

  return Input;
}(_react.Component);

exports['default'] = Input;
module.exports = exports['default'];